LaTeX API
API referenceMeta

Usage statistics

GET
/v1/stats

Authorization

bearerAuth
headerAuthorizationBearer <token>

A personal API token (lta_...) from the dashboard or latex-api auth login. Also accepted in the X-API-Key header.

Response Body

Stats

application/json
  1. response
byStatus*
last24h*
durationMs*
queueDepth*number
storage*
compilerVersion*string
Example Request
curl -X GET 'https://latex-api.crafter.run/v1/stats'
Example Response
{  "byStatus": {    "property1": 0,    "property2": 0  },  "last24h": {    "total": 0,    "succeeded": 0,    "failed": 0,    "cached": 0  },  "durationMs": {    "p50": 0,    "p95": 0  },  "queueDepth": 0,  "storage": {    "usedBytes": 0,    "freeBytes": 0  },  "compilerVersion": "string"}